import {
  PieChartOutlined,
  UserOutlined,
  SettingOutlined,
  ShareAltOutlined,
  GlobalOutlined,
  DeploymentUnitOutlined,
} from "@ant-design/icons";
import React from "react";
import { RouteType } from "./types";

export const DEFAULT_MENU: RouteType[] = [
  {
    key: "/weapon",
    label: "国之重器",
    icon: <GlobalOutlined />,
    component: React.lazy(() => import("../Weapon")),
    child: [
      {
        key: "/create",
        hide: true,
        label: "新增",
        component: React.lazy(() => import("../Weapon/create-or-edit")),
      },
      {
        key: "/view/:id",
        hide: true,
        label: "查看",
        component: React.lazy(() => import("../Weapon/create-or-edit")),
      },
      {
        key: "/edit/:id",
        hide: true,
        label: "编辑",
        component: React.lazy(() => import("../Weapon/create-or-edit")),
      },
    ],
  },
  {
    key: "/overview",
    label: "概况总览",
    icon: <PieChartOutlined />,
    component: React.lazy(() => import("../Overview")),
    child: [
      {
        key: "/create",
        hide: true,
        label: "新增",
        component: React.lazy(() => import("../Overview/create-or-edit")),
      },
      {
        key: "/view/:id",
        hide: true,
        label: "查看",
        component: React.lazy(() => import("../Overview/create-or-edit")),
      },
      {
        key: "/edit/:id",
        hide: true,
        label: "编辑",
        component: React.lazy(() => import("../Overview/create-or-edit")),
      },
    ],
  },
  {
    key: "/history",
    label: "历史回顾",
    icon: <DeploymentUnitOutlined />,
    component: React.lazy(() => import("../History")),
    child: [
      {
        key: "/create",
        hide: true,
        label: "新增",
        component: React.lazy(() => import("../History/create-or-edit")),
      },
      {
        key: "/view/:id",
        hide: true,
        label: "查看",
        component: React.lazy(() => import("../History/create-or-edit")),
      },
      {
        key: "/edit/:id",
        hide: true,
        label: "编辑",
        component: React.lazy(() => import("../History/create-or-edit")),
      },
    ],
  },
  {
    key: "/industrial-meta",
    label: "工业元宇宙",
    icon: <ShareAltOutlined />,
    component: React.lazy(() => import("../IndustrialMeta")),
    child: [
      {
        key: "/edit/:id",
        hide: true,
        label: "编辑",
        component: React.lazy(() => import("../IndustrialMeta/create-or-edit")),
      },
    ],
  },
];

export const DEFAULT_ADMIN_MENU: RouteType[] = [
  {
    key: "/user",
    label: "用户管理",
    icon: <UserOutlined />,
    component: React.lazy(() => import("../User")),
  },
  {
    key: "/log",
    label: "操作日志",
    icon: <SettingOutlined />,
    component: React.lazy(() => import("../Log")),
  },
];
